com.io7m.jcanephora.core

## Enum JCGLFaceSelection

- java.lang.Object
- - java.lang.Enum<JCGLFaceSelection>
  - - com.io7m.jcanephora.core.JCGLFaceSelection

- All Implemented Interfaces:
    Serializable, Comparable<JCGLFaceSelection>

      public enum JCGLFaceSelection
      extends Enum<JCGLFaceSelection>

  Specification for face selections.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FACE_BACK` Select back faces; `GL_BACK`
    `FACE_FRONT` Select front faces; `GL_FRONT`
    `FACE_FRONT_AND_BACK` Select front and back faces; `GL_FRONT_AND_BACK`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JCGLFaceSelection` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JCGLFaceSelection[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FACE_BACK

          public static final JCGLFaceSelection FACE_BACK

      Select back faces; `GL_BACK`

    - #### FACE_FRONT

          public static final JCGLFaceSelection FACE_FRONT

      Select front faces; `GL_FRONT`

    - #### FACE_FRONT_AND_BACK

          public static final JCGLFaceSelection FACE_FRONT_AND_BACK

      Select front and back faces; `GL_FRONT_AND_BACK`

  - ### Method Detail

    - #### values

          public static JCGLFaceSelection[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JCGLFaceSelection c : JCGLFaceSelection.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JCGLFaceSelection valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2016 <code@io7m.com> http://io7m.com